---
schema_version: "1"
id: faf730d272c217c5d8b6c4195720103c69ce8f34b513c756edd528168365c32c
title: DELETE /messaging/v1/sms/definitions/{definitionKey}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/deleteSMSMessageDefinition.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_transactional_messaging_sms/deleteSMSMessageDefinition.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0f5c78e450c7bf8257c90e6bf6e899af444fd3e32b643f7d5901944a6f0b5b2a
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# DELETE /messaging/v1/sms/definitions/{definitionKey}

## Overview

Deletes a message definition. You can't restore a deleted definition. The deleted definition is archived, and a delete location of the definition key is provided in the response for reference. You can reuse a deleted definition key because the information associated with it is copied to a new unique identifier.

### URL Parameters

<!--complex table-->

| Name              | Type   |              | Description                          |
| ----------------- | ------ | ------------ | ------------------------------------ |
| **definitionKey** | string | **Required** | Unique identifier of the definition. |

### Responses

| Status  | Name                 | Type   | Description                                                             |
| ------- | -------------------- | ------ | ----------------------------------------------------------------------- |
| **200** | &nbsp;               | &nbsp; | **Send definition is updated on server. Review example response.**      |
| &nbsp;  | requestId            | string | The unique identifier of this request.                                  |
| &nbsp;  | message              | string | Success                                                                 |
| &nbsp;  | deletedDefinitionKey | string | New value of the definition key for referencing the deleted definition. |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
DELETE /messaging/v1/sms/definitions/{definitionKey}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```
HTTP/1.1 200 OK
{
  "message": “Success",
  "requestId": "UUID",
  "deletedDefinitionKey": "51a05a43-0a75-49dd-8cc7-8d316025c87f"
}
```

### HTTP Responses

| Response         | Reason                                                         |
| ---------------- | -------------------------------------------------------------- |
| 200 OK           | Send definition is updated on server. Review example response. |
| 400 Bad Request  | Invalid request                                                |
| 403 Forbidden    | Failed to pass authorization.                                  |
| 404 Not Found    | Send definition doesn’t exist.                                 |
| 500 Server Error | Internal error                                                 |
